DCMTK: CID29e_AcquisitionModality Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CID29e_AcquisitionModality Class Reference

DCMR Context Group with enhanced functionality: CID 29 - Acquisition Modality. More...

Inheritance diagram for CID29e_AcquisitionModality:

## Public Member Functions
| CID29e_AcquisitionModality (const DSRCodedEntryValue &selectedValue=DSRCodedEntryValue())
| (default) constructor
| CID29e_AcquisitionModality (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| constructor
virtual OFCondition | selectValue (const OFString &selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| select a coded entry given by its associated defined term as the current value
DSRCodedEntryValue | mapModality (const OFString &definedTerm, const OFBool enhancedEncodingMode=OFFalse) const
| map a defined term for Modality (0008,0060) to the associated coded entry
OFCondition | mapModality (const OFString &definedTerm, DSRCodedEntryValue &codedEntryValue, const OFBool enhancedEncodingMode=OFFalse) const
| map a defined term for Modality (0008,0060) to the associated coded entry
virtual OFCondition | selectValue (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| select a coded entry given by its type as the current value
virtual OFCondition | selectValue (const DSRCodedEntryValue &codedEntryValue, const OFBool check=OFTrue, const OFBool definedContextGroup=OFFalse)
| select a given coded entry as the current value
Public Member Functions inherited from CID29_AcquisitionModality
| CID29_AcquisitionModality (const DSRCodedEntryValue &selectedValue=DSRCodedEntryValue())
| (default) constructor
| CID29_AcquisitionModality (const EnumType selectedValue, const OFBool enhancedEncodingMode=OFFalse)
| constructor
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &codedEntryValue) const
| search for a given coded entry in this context group.
Public Member Functions inherited from DSRContextGroup
| operator const DSRCodedEntryValue & () const
| conversion operator that returns the currently selected coded entry value (might be empty if none is selected)
virtual void | clear ()
| clear list of extended coded entries and forget about the currently selected coded entry
OFBool | isExtensible () const
| check whether context group is extensible
void | setExtensible (const OFBool mode=OFTrue)
| change mode specifying whether the context group is extensible or non-extensible
const OFString & | getIdentifier () const
| get context identifier
const OFString & | getMappingResource () const
| get mapping resource
const OFString & | getVersion () const
| get context group version (optional)
const OFString & | getUID () const
| get context group UID (optional)
virtual OFBool | hasSelectedValue () const
| check whether a coded entry is selected as the current value
const DSRCodedEntryValue & | getSelectedValue () const
| get currently selected coded entry value (optional)
virtual OFBool | hasCodedEntry (const DSRCodedEntryValue &codedEntryValue) const
| check whether a given coded entry is contained in this context group.
virtual OFBool | hasExtendedCodedEntries () const
| check whether this context group has any extended coded entries.
virtual OFCondition | addCodedEntry (const DSRCodedEntryValue &codedEntryValue)
| add a coded entry to this context group as an extension, i.e. as a non-standard code.
virtual OFCondition | lookupCodedEntry (DSRCodedEntryValue &codedEntryValue, const OFBool enhancedEncodingMode=OFFalse) const
| search for a given coded entry in this context group and, if found, replace its value with the one found in the context group.
virtual void | print (STD_NAMESPACE ostream &stream) const
| print contents of this context group, i.e. a general header, the currently selected coded entry value (if any) and all coded entries that are contained in this context group (both standard and extended ones).
virtual OFCondition | checkSelectedValue (const OFBool definedContextGroup=OFFalse) const
| check whether the currently selected coded entry is valid.

## Additional Inherited Members
Public Types inherited from CID29_AcquisitionModality
enum | EnumType { Autorefraction , BiomagneticImaging , BoneMineralDensitometry , ComputedRadiography , ComputedTomography , ConfocalMicroscopy , Dermoscopy , Diaphanography , DigitalRadiography , Endoscopy , ExternalCameraPhotography , GeneralMicroscopy , IntraOralRadiography , IntravascularOpticalCoherenceTomography , IntravascularUltrasound , Keratometry , LaserScan , Lensometry , MagneticResonance , Mammography , NuclearMedicine , OphthalmicAxialMeasurements , OphthalmicMapping , OphthalmicPhotography , OphthalmicTomography , OphthalmicTomographyBScanVolumeAnalysis , OphthalmicTomographyEnFace , OphthalmicVisualField , OpticalCoherenceTomography , OpticalSurfaceScanner , PanoramicXRay , Photoacoustic , PositronEmissionTomography , Radiofluoroscopy , RadiographicImaging , RTImage , SlideMicroscopy , SubjectiveRefraction , Thermography , Ultrasound , UltrasoundBoneDensitometry , VisualAcuity , XRayAngiography , CardiacElectrophysiology , Electrocardiography , Electroencephalography , Electromyography , Electrooculography , Hemodynamic , PositionSensor , Respiratory }
| types of acquisition modality More...
Static Public Member Functions inherited from CID29_AcquisitionModality
static void | initialize ()
| initialize this context group explicitly.
static void | cleanup ()
| cleanup this context group, i.e. delete the internal list of standard coded entries.
static DSRCodedEntryValue | getCodedEntry (const EnumType value, const OFBool enhancedEncodingMode=OFFalse)
| map a given type to the associated coded entry
Protected Types inherited from CID29_AcquisitionModality
typedef OFMap< EnumType, DSRBasicCodedEntry > | CodeList
| type used for storing and managing the coded entries
Protected Member Functions inherited from CID29_AcquisitionModality
virtual void | printCodes (STD_NAMESPACE ostream &stream) const
| print details on coded entries that are contained in this context group.
virtual OFCondition | findCodedEntry (const DSRCodedEntryValue &searchForCodedEntry, DSRCodedEntryValue *foundCodedEntry, const OFBool enhancedEncodingMode=OFFalse) const
| search for a given coded entry in this context group
Protected Member Functions inherited from DSRContextGroup
| DSRContextGroup (const OFString &contextIdentifier, const OFString &mappingResource, const OFString &contextGroupVersion="", const OFString &contextGroupUID="", const DSRCodedEntryValue &selectedValue=DSRCodedEntryValue())
| constructor
virtual | ~DSRContextGroup ()
| destructor
virtual void | printHeader (STD_NAMESPACE ostream &stream) const
| print header with some general information on this context group
virtual OFCondition | checkCodedEntry (const DSRCodedEntryValue &codedEntryValue, const OFBool definedContextGroup) const
| check whether a given coded entry is valid.
Static Protected Member Functions inherited from CID29_AcquisitionModality
static CodeList & | getCodes ()
| get list of standard coded entries that are managed by this context group.
static OFCondition | setEnhancedEncodingMode (DSRCodedEntryValue &codedEntryValue)
| set the "Enhanced Encoding Mode" for a given coded entry

## Detailed Description

DCMR Context Group with enhanced functionality: CID 29 - Acquisition Modality.

## Constructor & Destructor Documentation

## ◆ CID29e_AcquisitionModality() [1/2]

CID29e_AcquisitionModality::CID29e_AcquisitionModality | ( | const DSRCodedEntryValue & | selectedValue = DSRCodedEntryValue() | ) |

(default) constructor

Parameters

  selectedValue | coded entry to be selected as the current value (optional). Should be a valid code according to the DICOM definitions for this context group, i.e. no checks are performed. Call DSRContextGroup::checkSelectedValue() if needed.

## ◆ CID29e_AcquisitionModality() [2/2]

CID29e_AcquisitionModality::CID29e_AcquisitionModality | ( | const EnumType | selectedValue,
|  | const OFBool | enhancedEncodingMode = OFFalse )

constructor

Parameters

  selectedValue | type mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

## Member Function Documentation

## ◆ mapModality() [1/2]

DSRCodedEntryValue CID29e_AcquisitionModality::mapModality | ( | const OFString & | definedTerm,
|  | const OFBool | enhancedEncodingMode = OFFalse ) const

map a defined term for Modality (0008,0060) to the associated coded entry

Parameters

  definedTerm | defined term that should be mapped to a coded entry
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  coded entry that is associated with the given defined term, or an empty value if none was found

## ◆ mapModality() [2/2]

OFCondition CID29e_AcquisitionModality::mapModality | ( | const OFString & | definedTerm,
|  | DSRCodedEntryValue & | codedEntryValue,
|  | const OFBool | enhancedEncodingMode = OFFalse ) const

map a defined term for Modality (0008,0060) to the associated coded entry

Parameters

  definedTerm | defined term that should be mapped to a coded entry
  codedEntryValue | reference to variable where the resulting coded entry is stored. This variable is not cleared in case of error.
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  status, EC_Normal if successful, an error code otherwise

References CID29_AcquisitionModality::selectValue().

## ◆ selectValue() [1/3]

virtual OFCondition DSRContextGroup::selectValue | ( | const DSRCodedEntryValue & | codedEntryValue,
|  | const OFBool | check = OFTrue,
|  | const OFBool | definedContextGroup = OFFalse )
| virtual

select a given coded entry as the current value

Parameters

  codedEntryValue | coded entry to be selected as the current value
  check | if enabled, check 'codedEntryValue' for validity and appropriateness before selecting it as the current value. See checkSelectedValue() for details.
  definedContextGroup | flag indicating whether this context group is used as a baseline (default) or defined context group. The first means that the list of coded entries in this context group is just a suggestion. The latter means that one of the coded entries should be used.

Returns
  status, EC_Normal if successful, an error code otherwise

Reimplemented from CID29_AcquisitionModality.

## ◆ selectValue() [2/3]

virtual OFCondition CID29_AcquisitionModality::selectValue | ( | const EnumType | selectedValue,
|  | const OFBool | enhancedEncodingMode = OFFalse )
| virtual

select a coded entry given by its type as the current value

Parameters

  selectedValue | type mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  status, EC_Normal if successful, an error code otherwise

Reimplemented from CID29_AcquisitionModality.

## ◆ selectValue() [3/3]

virtual OFCondition CID29e_AcquisitionModality::selectValue | ( | const OFString & | selectedValue,
|  | const OFBool | enhancedEncodingMode = OFFalse )
| virtual

select a coded entry given by its associated defined term as the current value

Parameters

  selectedValue | defined term for Modality (0008,0060) mapped to a coded entry that is selected as the current value
  enhancedEncodingMode | set enhanced encoding mode for coded entry (if enabled)

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/cmr/cid29e.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2